
<p>Makstermi su Booleove funkcije koje u tablici istinitosti u samo jednom retku poprimaju vrijednost 0. Time spadaju u porodicu funkcija koje imaju maksimalni mogući broj jedinica (a da ne sadrže baš sve jedinice odnosno da ne postanu tautologije) i stoga se zovu makstermi. U algebarskom zapisu to su sume koji sadrže sve varijable funkcije pri čemu se svaka varijabla pojavljuje samo jednom i to u izvornom ili komplementiranom obliku. Ovu porodicu funkcija označavamo s \(M_i\), gdje je <i>i</i> redni broj retka u tablici istinitosti u kojem ta funkcija poprima vrijednost 0 (uočite, čim govorimo o rednom broju retka, nužno moramo znati kakav je redoslijed varijabli uz koji radimo). Numeracija redaka kreće od 0 što nam omogućava da binarni uzorak varijabli u tom retku naprosto pročitamo kao binarno kodirani cijeli broj koji potom tretiramo kao indeks. Tako je prvom tablicom u nastavku dan maksterm \(M_0(a,b,c)\), drugom \(M_1(a,b,c)\) a trećom \(M_7(a,b,c)\).</p>

<div class="mlTableCaption"><span class="mlTblKey">Tablica 1.</span> Tablica istinitosti funkcije \(M_0(a,b,c)\).</div>
<table class="mlTableCC mlTableVRl1">
<thead><tr><th>\(a\)</th><th>\(b\)</th><th>\(c\)</th><th>\(M_0(a,b,c)\)</th></tr></thead>
<tbody>
<tr><td>0</td><td>0</td><td>0</td><td>0</td></tr>
<tr><td>0</td><td>0</td><td>1</td><td>1</td></tr>
<tr><td>0</td><td>1</td><td>0</td><td>1</td></tr>
<tr><td>0</td><td>1</td><td>1</td><td>1</td></tr>
<tr><td>1</td><td>0</td><td>0</td><td>1</td></tr>
<tr><td>1</td><td>0</td><td>1</td><td>1</td></tr>
<tr><td>1</td><td>1</td><td>0</td><td>1</td></tr>
<tr><td>1</td><td>1</td><td>1</td><td>1</td></tr>
</tbody>
</table>

<p>Algebarski zapis ove funkcije je:
$$
  M_0(a,b,c) = a + b + c.
$$
Provjerite: samo kada su \(a=0\), \(b=0\) i \(c=0\) izraz \(a+b+c\) poprima vrijednost 0; u svim ostalim slučajevima, izraz poprima vrijednost 1.
</p>

<div class="mlTableCaption"><span class="mlTblKey">Tablica 2.</span> Tablica istinitosti funkcije \(M_1(a,b,c)\).</div>
<table class="mlTableCC mlTableVRl1">
<thead><tr><th>\(a\)</th><th>\(b\)</th><th>\(c\)</th><th>\(M_1(a,b,c)\)</th></tr></thead>
<tbody>
<tr><td>0</td><td>0</td><td>0</td><td>1</td></tr>
<tr><td>0</td><td>0</td><td>1</td><td>0</td></tr>
<tr><td>0</td><td>1</td><td>0</td><td>1</td></tr>
<tr><td>0</td><td>1</td><td>1</td><td>1</td></tr>
<tr><td>1</td><td>0</td><td>0</td><td>1</td></tr>
<tr><td>1</td><td>0</td><td>1</td><td>1</td></tr>
<tr><td>1</td><td>1</td><td>0</td><td>1</td></tr>
<tr><td>1</td><td>1</td><td>1</td><td>1</td></tr>
</tbody>
</table>

<p>Algebarski zapis ove funkcije je:
$$
  M_1(a,b,c) = a + b + \bar c.
$$
Provjerite: samo kada su \(a=0\), \(b=0\) i \(c=1\) izraz \(a + b + \bar c\) poprima vrijednost 0; u svim ostalim slučajevima, izraz poprima vrijednost 1.
</p>

<div class="mlTableCaption"><span class="mlTblKey">Tablica 3.</span> Tablica istinitosti funkcije \(M_7(a,b,c)\).</div>
<table class="mlTableCC mlTableVRl1">
<thead><tr><th>\(a\)</th><th>\(b\)</th><th>\(c\)</th><th>\(M_7(a,b,c)\)</th></tr></thead>
<tbody>
<tr><td>0</td><td>0</td><td>0</td><td>1</td></tr>
<tr><td>0</td><td>0</td><td>1</td><td>1</td></tr>
<tr><td>0</td><td>1</td><td>0</td><td>1</td></tr>
<tr><td>0</td><td>1</td><td>1</td><td>1</td></tr>
<tr><td>1</td><td>0</td><td>0</td><td>1</td></tr>
<tr><td>1</td><td>0</td><td>1</td><td>1</td></tr>
<tr><td>1</td><td>1</td><td>0</td><td>1</td></tr>
<tr><td>1</td><td>1</td><td>1</td><td>0</td></tr>
</tbody>
</table>

<p>Algebarski zapis ove funkcije je:
$$
  M_7(a,b,c) = \bar a + \bar b + \bar c.
$$
Provjerite: samo kada su \(a=1\), \(b=1\) i \(c=1\) izraz \(\bar a + \bar b + \bar c\) poprima vrijednost 0; u svim ostalim slučajevima, izraz poprima vrijednost 1.
</p>

<p>Jeste li uočili na koji se način iz rednog broja maksterma dobiva njegov algebarski zapis? Usporedite: 
$$
\begin{align}
(a,b,c)=(0,0,0) \; &amp;\Rightarrow \; M_0(a,b,c) = a + b + c \\
(a,b,c)=(0,0,1) \; &amp;\Rightarrow \; M_1(a,b,c) = a + b + \bar c \\
(a,b,c)=(1,1,1) \; &amp;\Rightarrow \; M_7(a,b,c) = \bar a + \bar b + \bar c \\
\end{align}
$$
Odgovor leži u binarnoj reprezentaciji indeksa: maksterm \(M_i\) je logička suma u kojoj su varijable bez komplementa one na čijim se mjestima u binarnom uzorku vrijednosti indeksa <i>i</i> nalazi vrijednost 0, a s komplementom one na čijim se mjestima u binarnom uzorku vrijednosti indeksa <i>i</i> nalazi vrijednost 1. Pogledajte \(M_0\); binarna reprezentacija rednog broja 0 je 000 i doista, u algebarskom zapisu maksterma \(M_0(a,b,c)\) niti jedna varijabla nije pod komplementom. Pogledajte zatim \(M_1\); binarna reprezentacija rednog broja 1 je 001 pa je u algebarskom zapisu maksterma \(M_1(a,b,c)\) varijabla \(c\) pod komplementom dok varijable \(a\) i \(b\) nisu.</p>

<div class="mlImportant">
<p><b>Maksterm \(M_i(a,b,\ldots)\)</b><br>
Maksterm \(M_i(\underbrace{a,b,\ldots}_{k})\) je Booleova funkcija koja samo u <i>i</i>-tom retku tablice istinitosti poprima vrijednost 0; u svim ostalim retcima njezina je vrijednost 1. Ako se radi o funkciji od <i>k</i> varijabli, ona samo jednu kombinaciju vrijednosti tih varijabli preslikava u 0 dok preostalih \(2^k-1\) kombinacija ulaznih vrijednosti preslikava u 1. Algebarski, to je suma u kojoj se pojavljuju sve varijable i to u komplementiranom ili nekomplementiranom stanju, ovisno o tome je li u binarnom raspisu indeksa <i>i</i> varijabli dodijeljena vrijednost 1 ili vrijednost 0.
</p>
</div>






